com.google.cloud.dataflow.sdk.runners

## Class AggregatorPipelineExtractor

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.AggregatorPipelineExtractor

    public class AggregatorPipelineExtractor
    extends Object

Retrieves `Aggregators` at each `ParDo` and returns a `Map` of `Aggregator` to the `PTransforms` in which it is present.

### Constructor Summary

Constructors
Constructor and Description
`AggregatorPipelineExtractor(Pipeline pipeline)` Creates an `AggregatorPipelineExtractor` for the given `Pipeline`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Map<Aggregator<?,?>,Collection<PTransform<?,?>>>` `getAggregatorSteps()` Returns a `Map` between each `Aggregator` in the `Pipeline` to the `PTransforms` in which it is used.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AggregatorPipelineExtractor

    public AggregatorPipelineExtractor(Pipeline pipeline)

Creates an `AggregatorPipelineExtractor` for the given `Pipeline`.

### Method Detail

#### getAggregatorSteps

    public Map<Aggregator<?,?>,Collection<PTransform<?,?>>> getAggregatorSteps()

Returns a `Map` between each `Aggregator` in the `Pipeline` to the `PTransforms` in which it is used.